System.Web 2.0.0.0 System.Object System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Advanced)

Page and control developers do not use the , , or classes directly. These classes are used by the ASP.NET parser and runtime to apply style sheet elements that are defined in ASP.NET themes and control skins files to pages and specific types of controls.

Page developers enable (or disable) page themes using the and properties. For more information about page themes, see Introduction to ASP.NET Themes.

Represents the base class for a page theme, which is a collection of resources that are used to define a consistent look across pages and controls in a Web site. The page theme can be set through configuration or the page directive.

- Constructor
  To be added.

  Initializes a new instance of the class.

  2.0.0.0
- Property
  System.String To be added.

  The property is abstract. When compiled, a theme will generate code that overrides the property. The method uses the property to resolves a relative URL to an absolute URL.

  When overridden a derived class, gets the relative URL of the directory for the object.

  2.0.0.0
- Property
  System.Collections.IDictionary To be added.

  The property is abstract. When compiled, a theme will generate code that overrides this property.

  When overridden in a derived class, gets an interface of the names of all default skins that are available for the current page theme, indexed by control type.

  2.0.0.0
- Method
  System.Object `` `` To be added.

  Creates a lookup key object for a particular control type and skin ID.

  An object that can be used as a lookup key in a dictionary-style collection, which contains the control type and skin ID information.

  The of control to which a control skin applies, which is passed typically from the . The name of the control skin for which to create a key. 2.0.0.0
- Method
  System.Object ``

  The method uses the method to resolve the data item container.

  Uses the method of the property that the instance of the class is associated with to evaluate a data-binding expression.

  An object that results from the evaluation of the data-binding expression.

  The navigation path from the container to the public property value. For details, see . 2.0.0.0
- Method
  System.String `` ``

  The method uses the method to resolve the data item container.

  Uses the method of the property that the instance of the class is associated with to evaluate a data-binding expression.

  A string that results from the evaluation of the data-binding expression and conversion to a string type.

  The navigation path from the container to the public property value. For details, see . A .NET Framework format string. For details, see . 2.0.0.0
- Property
  System.String[] To be added.

  The property is abstract and must be implemented in a derived class. When compiled, a theme will generate code that overrides this property.

  When overridden in a derived class, gets an array of style sheets that are linked to this page.

  2.0.0.0
- Property
  System.Web.UI.Page To be added.

  The property is read-only and is assigned internally when an instance of the class is created.

  Gets the object that is associated with the instance of the class.

  2.0.0.0
- Method
  System.Boolean `` To be added.

  Tests whether a device filter applies to the control that the instance of the class is associated with.

  true if applies to the page; otherwise; false.

  The string name of the device filter to check. 2.0.0.0
- Method
  System.Object ``

  The method uses the method to resolve the object reference that the expression is evaluated against.

  Evaluates an XPath data-binding expression.

  An object that results from the evaluation of the data-binding .

  The XPath expression to evaluate. For details, see . 2.0.0.0
- Method
  System.String `` ``

  The method uses the method to resolve the object reference that the expression is evaluated against.

  Evaluates an XPath data-binding expression using the specified format string to display the result.

  A string that results from the evaluation of the data-binding expression and conversion to a string type.

  The XPath expression to evaluate. For details, see . A .NET Framework format string to apply to the result. 2.0.0.0
- Method
  System.Object `` ``

  The method uses the method to resolve the object reference that the expression is evaluated against.

  Evaluates an XPath data-binding expression using the specified prefix and namespace mappings for namespace resolution.

  An object that results from the evaluation of the data-binding .

  The XPath expression to evaluate. For details, see . A set of prefix and namespace mappings used for namespace resolution. 2.0.0.0
- Method
  System.String `` `` ``

  The method uses the method to resolve the object reference that the expression is evaluated against.

  Uses the method of the control that the instance of the class is associated with to evaluate an XPath data-binding expression.

  A string that results from the evaluation of the data-binding expression and conversion to a string type.

  The XPath expression to evaluate. For details, see . A .NET Framework format string to apply to the result. A set of prefix and namespace mappings used for namespace resolution. 2.0.0.0
- Method
  System.Collections.IEnumerable ``

  The method uses the method to resolve the object reference that the expression is evaluated against.

  Evaluates an XPath data-binding expression and returns a node collection that implements the interface.

  An list of nodes.

  The XPath expression to evaluate. For details, see . 2.0.0.0
- Method
  System.Collections.IEnumerable `` ``

  The method uses the method to resolve the object reference that the expression is evaluated against.

  Evaluates an XPath data-binding expression using the specified prefix and namespace mappings for namespace resolution and returns a node collection that implements the interface.

  An list of nodes.

  The XPath expression to evaluate. For details, see . A set of prefix and namespace mappings used to for namespace resolution. 2.0.0.0